import org.newdawn.slick.*;

public class SlickTemplate extends BasicGame {

	private static AppGameContainer container;
	private boolean[] keys = new boolean[512];

	public SlickTemplate() {
		super("SlickTemplate");
	}

	public static void main(String[] args) {
		try {
			container = new AppGameContainer(new SlickTemplate());

			//container.setTargetFrameRate(60);
			//container.setMinimumLogicUpdateInterval(10);
			//container.setMaximumLogicUpdateInterval(10);

			container.setDisplayMode(800,600,false);
			container.start();

		} catch (SlickException e) {
			e.printStackTrace();
		}
	}

	public void init(GameContainer cont) {
	}

	public void update(GameContainer cont, int delta) {
	}

	public void render(GameContainer cont, Graphics g) {
	}


	public void keyPressed(int k, char c) {
		if(k == Input.KEY_ESCAPE) {
			System.exit(0);
		}
		keys[k] = true;
	}

	public void keyReleased(int k, char c) {
		keys[k] = false;
	}

}